function [vzdalenosti,shluky,spravnost]=priznak_prouzky_vsechny(obr_vyrez, polohy_prouzky,prouzky_zacatky,prouzky_konce,polohy_linie)
%% Parametry prouzku - vsechny metody
% Vypocet poctu prouzku
for i=1:length(polohy_prouzky(:,1))
    pocty_prouzku(i,:)=nnz(polohy_prouzky(i,:));
end
%Vypocet sirky prouzku
sirky_prouzku=prouzky_konce-prouzky_zacatky;
% Vypocet prumerne hodnoty prouzku z originalniho obrazu
for i=1:length(polohy_linie)-1
    for k=1:length(polohy_prouzky(1,:))
        prouzek=obr_vyrez(prouzky_zacatky(k):prouzky_konce(k),polohy_linie(i):polohy_linie(i+1));
        hodnoty_prouzku(i,k)=mean(mean(prouzek));
    end
end
%Osetreni nulovych hodnot prouzku
hodnoty_prouzku(polohy_prouzky==0)=0;
%Vytvoreni matice priznaku
priznaky=[pocty_prouzku polohy_prouzky  sirky_prouzku hodnoty_prouzku];
vzdalenosti={'euclidean',
            'cityblock',
            'minkowski',
            'chebychev',
            'cosine',
            'correlation',
            'spearman',
            'hamming',
            'jaccard'};
shluky={'average',
        'centroid',
        'complete',
        'median',
        'single',
        'ward',
        'weighted'};
spravnost=[];
% Vypocet vsech kombinaci metod a hodnot spravnosti
    for a=1:length(vzdalenosti)
        for b=1:length(shluky)
            vzdalenost=pdist(priznaky,vzdalenosti{a});
            shluk=linkage(vzdalenost,shluky{b});
            pocet_shluku=size(shluk);
            spravnost(a,b)=mean(shluk((pocet_shluku(1)-2):(pocet_shluku(1)-1),3))/max(shluk(pocet_shluku(1),3));
        end
    end
end